# Add-RASScheduleTarget.md

## NAME

Add-RASScheduleTarget

## SYNOPSIS

Adds a new Schedule target.

## SYNTAX

**Add-RASScheduleTarget** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDS | VDI | AVD} -[TargetID](#targetid-string) *(uint)* \[-[TargetType](#TargetType) {Host | HostPool}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Add-RASScheduleTarget** \[[Id](#id-string)] *(uint)* -[HostAzureID](#hostazureid-string) *(string)* -[ObjType](#objtype) {RDS | VDI | AVD} -[PoolId](#poolid-string) *(uint)* \[-[TargetType](#TargetType) {Host | HostPool}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Add-RASScheduleTarget** \[[Id](#id-string)] *(uint)* -[GuestName](#guestname-string) *(string)* -[GUID](#guid-string) *(string)* -[ObjType](#objtype) {RDS | VDI | AVD} -[PoolId](#poolid-string) *(uint)* \[-[TargetType](#TargetType) {Host | HostPool}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Add-RASScheduleTarget** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDS | VDI | AVD} -[TargetID](#targetid-string) *(uint)* \[-[TargetType](#TargetType) {Host | HostPool}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Add-RASScheduleTarget** \[[Name](#name-string)] *(string)* \[[SiteId](#siteid-string)] *(uint)* -[HostAzureID](#hostazureid-string) *(string)* -[ObjType](#objtype) {RDS | VDI | AVD} -[PoolId](#poolid-string) *(uint)* \[-[TargetType](#TargetType) {Host | HostPool}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Add-RASScheduleTarget** \[[Name](#name-string)] *(string)* \[[SiteId](#siteid-string)] *(uint)* -[GuestName](#guestname-string) *(string)* -[GUID](#guid-string) *(string)* -[ObjType](#objtype) {RDS | VDI | AVD} -[PoolId](#poolid-string) *(uint)* \[-[TargetType](#TargetType) {Host | HostPool}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Creates a new Schedule property.

## PARAMETERS

## Name (string)

Scheduler job name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID to modify the schedule job.

```
        Required?                    true

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Scheduler job ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([ScheduleObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduleobjtype))

Schedule object type.

Possible values: RDS, VDI, AVD

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetType

([ScheduleTargetType](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduletargettype)) Schedule target type.

Possible values: Host, HostPool

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetID (uint)

The target RD Session Host server or server group Ids depending on the TargetType parameter.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PoolId (uint)

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GUID (string)

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GuestName (string)

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostAzureID (string)

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[Schedule](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedule)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASScheduleTarget -ObjType VDI -Id 1 -TargetID 1

Adds a schedule target id to the schedule item specified by id.\
\*\*---------- EXAMPLE 2 ----------

Add-RASScheduleTarget -ObjType VDI -Name "My Schedule" -TargetID 1

Adds a schedule target id to the schedule item specified by name.\
\*\*---------- EXAMPLE 3 ----------

Add-RASScheduleTarget -ObjType VDI -Id 1 -PoolID 1 -GUID "SampleGUID" -GuestName "SampleGuestName"

Adds a schedule target native host to the schedule item specified by id.\
\*\*---------- EXAMPLE 4 ----------

Add-RASScheduleTarget -ObjType VDI -Name "My Schedule" -PoolID 1 -HostAzureID "SampleAzureID"

Adds a schedule target native host to the schedule item specified by name.

## RELATED LINKS

* [Remove-RASScheduleTarget](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasscheduletarget)
* [Get-RASScheduleTarget](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasscheduletarget)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasscheduletarget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
